Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets.html
Class ClientValidatorHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          javax.faces.view.facelets.MetaTagHandler
              javax.faces.view.facelets.DelegatingMetaTagHandler
                  javax.faces.view.facelets.FaceletsAttachedObjectHandler
                      javax.faces.view.facelets.BehaviorHandler
                          org.richfaces.view.facelets.html.CustomBehaviorHandler
                              org.richfaces.view.facelets.html.AjaxHandler
                                  org.richfaces.view.facelets.html.ClientValidatorHandler

All Implemented Interfaces:
  javax.faces.view.AttachedObjectHandler, javax.faces.view.BehaviorHolderAttachedObjectHandler, javax.faces.view.facelets.FaceletHandler

    public class ClientValidatorHandler

extends AjaxHandler

Author:
  asmirnov@exadel.com

Field Summary

Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`delegateFactory`

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`ClientValidatorHandler(javax.faces.view.facelets.BehaviorConfig config)`

Method Summary

Methods inherited from class org.richfaces.view.facelets.html.AjaxHandler
`apply, getMetaRules, isWrapping`

Methods inherited from class org.richfaces.view.facelets.html.CustomBehaviorHandler
`getTagHandlerDelegate, isWrappingAttachQueue`

Methods inherited from class javax.faces.view.facelets.BehaviorHandler
`getBehaviorId, getEvent, getEventName`

Methods inherited from class javax.faces.view.facelets.FaceletsAttachedObjectHandler
`applyAttachedObject, getAttachedObjectHandlerHelper, getFor`

Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.faces.view.AttachedObjectHandler
`applyAttachedObject, getFor`

Constructor Detail

### ClientValidatorHandler

    public ClientValidatorHandler(javax.faces.view.facelets.BehaviorConfig config)

  Parameters:
    `config` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.